Bug 1144467 - Globally uncaught exception while installing remote agent on windows
Summary: Globally uncaught exception while installing remote agent on windows
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Agent
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER04
: JON 3.3.0
Assignee: Michael Burman
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Keywords:
Depends On: 1151217
Blocks: JON3-30, PRODMGT-542
TreeView+ depends on / blocked
 
Reported: 2014-09-19 13:04 UTC by Armine Hovsepyan
Modified: 2015-09-03 00:03 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:01:34 UTC


Attachments (Terms of Use)
install_remote_agent_GUE (314.50 KB, application/octet-stream)
2014-09-19 13:04 UTC, Armine Hovsepyan
no flags Details
portNotFound_noGUE (174.44 KB, image/png)
2014-10-23 12:50 UTC, Armine Hovsepyan
no flags Details

Description Armine Hovsepyan 2014-09-19 13:04:28 UTC
Created attachment 939343 [details]
install_remote_agent_GUE

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install cygwin with sshd server in windows (remote machine)
2. In RHQ server navigate to "Administration-->Agents-->New"
3. Enter remote box details (Agent should not be installed), give some location, example: /cygwin/c/agent/
3. Click on "install Agent"

Actual results:
Globally Uncaught Exception

Expected results:
Agent installed without errors

Additional info:
screen-shot attached

Comment 1 Michael Burman 2014-09-22 08:20:38 UTC
Fixed in master:

commit 5673be5aac6ea6f1f742a7006e06130fdcc6d822
Author: Michael Burman <miburman@redhat.com>
Date:   Mon Sep 22 11:16:46 2014 +0300

    [BZ 1144467] [BZ 1144477] Boolean with null value is a bad idea, if we could not find the port, then we could not check if the agent was running eit

Comment 2 Thomas Segismont 2014-09-23 14:37:03 UTC
Cherry-picked over to release/jon3.3.x

commit ec4d94b7d02c61776049b6ee771f25e5d9e2905d
Author: Michael Burman <miburman@redhat.com>
Date:   Mon Sep 22 11:16:46 2014 +0300

    [BZ 1144467] [BZ 1144477] Boolean with null value is a bad idea, if we could not find the port, then we could not check if the agent was running either, so setti
    
    (cherry picked from commit 5673be5aac6ea6f1f742a7006e06130fdcc6d822)
    Signed-off-by: Thomas Segismont <tsegismo@redhat.com>

Comment 3 Simeon Pinder 2014-10-01 21:33:29 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com/buildinfo?buildID=388959

Comment 5 Armine Hovsepyan 2014-10-23 12:49:17 UTC
verified in JON 3.3 ER05

fragment from server.log:
08:46:57,487 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Running SSH command [Create Agent Install Directory]
08:46:58,557 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Result of SSH command [Create Agent Install Directory]: 
08:46:58,557 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Running SSH command [Remove any previously installed agent]
08:46:59,611 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Result of SSH command [Remove any previously installed agent]: 
08:46:59,612 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Running SSH command [Remove any old agent update logs]
08:47:00,673 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Result of SSH command [Remove any old agent update logs]: 
08:47:00,674 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Running SSH command [Remove any old agent update binary jars]
08:47:01,742 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Result of SSH command [Remove any old agent update binary jars]: 
08:47:01,743 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Copying agent binary update distribution file to [10.16.23.244]...
08:47:02,818 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Agent binary update distribution file copied
08:47:02,818 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Running SSH command [Install Agent]
08:47:03,852 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Result of SSH command [Install Agent]: null
08:47:03,853 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Running SSH command [Determine the agent's bind port]
08:47:04,907 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Result of SSH command [Determine the agent's bind port]: null
08:47:04,908 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Will start new agent @ [10.16.23.244] pointing to server @ [10.16.23.74]
08:47:04,909 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Running SSH command [Start New Agent]
08:47:05,943 INFO  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Result of SSH command [Start New Agent]: 
08:47:05,944 WARN  [org.rhq.enterprise.server.install.remote.SSHInstallUtility] (http-/0.0.0.0:7080-3) Just installed an agent at [10.16.23.244] but could not ping its port. Something might be bad with the install or it is behind a firewall.



screen-shot attached

Comment 6 Armine Hovsepyan 2014-10-23 12:50:07 UTC
Created attachment 949865 [details]
portNotFound_noGUE


Note You need to log in before you can comment on or make changes to this bug.